Package twisted :: Package internet :: Module interfaces :: Class IUNIXDatagramConnectedTransport |
[frames | no frames]

## Class IUNIXDatagramConnectedTransport

    Interface --+
                |
               IUNIXDatagramConnectedTransport

Transport for UDP ConnectedPacketProtocols.

Method Summary
| ``getHost`(self)` Return ('UNIX_DGRAM', address) we are listening on.
| ``getPeer`(self)` Return ('UNIX_DGRAM', address) we are connected to.
| ``write`(self, packet)` Write packet to address we are connected to.

Method Details

### getHost(self) Return ('UNIX_DGRAM', address) we are listening on.

### getPeer(self) Return ('UNIX_DGRAM', address) we are connected to.

### write(self, packet) Write packet to address we are connected to. Might raise error.ConnectionRefusedError.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:46 2003 | http://epydoc.sf.net